add nvme to -virtual kernel

Bug #1415580 reported by Ben Howard on 2015-01-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Andy Whitcroft

Bug Description

GCE has requested that the nvme kernel module be added to the GCE images. Please add "nvme" to the -virtual kernel series.

affects: ubuntu → linux-meta (Ubuntu)
Andy Whitcroft (apw) wrote :

They will be exposing drives on this interface to the guests.

affects: linux-meta (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
milestone: none → ubuntu-15.01

Here is what the devices look like:

ben@nvmetest2:~$ sudo udevadm info /dev/nvme0
P: /devices/pci0000:00/0000:00:04.0/misc/nvme0
N: nvme0
E: DEVNAME=/dev/nvme0
E: DEVPATH=/devices/pci0000:00/0000:00:04.0/misc/nvme0
E: MAJOR=10
E: MINOR=57
E: SUBSYSTEM=misc

ben@nvmetest2:~$ sudo udevadm info /dev/nvme0n1
P: /devices/pci0000:00/0000:00:04.0/block/nvme0n1
N: nvme0n1
E: DEVNAME=/dev/nvme0n1
E: DEVPATH=/devices/pci0000:00/0000:00:04.0/block/nvme0n1
E: DEVTYPE=disk
E: MAJOR=259
E: MINOR=0
E: SUBSYSTEM=block
E: USEC_INITIALIZED=87744

Andy Whitcroft (apw) on 2015-01-29
Changed in linux (Ubuntu):
milestone: ubuntu-15.01 → ubuntu-15.02
Andy Whitcroft (apw) on 2015-03-02
Changed in linux (Ubuntu):
milestone: ubuntu-15.02 → ubuntu-15.03
Andy Whitcroft (apw) on 2015-03-25
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.19.0-11.11

---------------
linux (3.19.0-11.11) vivid; urgency=low

  [ Andy Whitcroft ]

  * [Config] add nvme to linux-virtual as this is now used in GCE to expose
    disks
    - LP: #1415580
  * [Packaging] module-inclusion -- commonise copy code and simplify
  * [Packaging] module-inclusion -- add manual command entries
  * [Packaging] module blacklists -- add support for manual blacklists
  * [Config] re-enable OSS support and blacklist
    - LP: #1434842
  * [Config] exclude oss modules from linux-image
    - LP: #1434842
  * [Config] CONFIG_DEFAULT_MMAP_MIN_ADDR needs to match on armhf and arm64
    - LP: #1418140
  * rebase to v3.19.3

  [ Leann Ogasawara ]

  * Release Tracking Bug
    - LP: #1438852

  [ Paolo Pisati ]

  * [Config] armhf: JUMP_LABEL=y
  * [Config] armhf: ARM_KERNMEM_PERMS=y && DEBUG_RODATA=y

  [ Upstream Kernel Changes ]

  * powercap / RAPL: handle domains with different energy units
  * x86/platform, acpi: Bypass legacy PIC and PIT in ACPI hardware reduced
    mode
  * cpuidle: powernv: Read target_residency value of idle states from DT if
    available
    - LP: #1435951
  * cpuidle: powernv: Avoid endianness conversions while parsing DT
    - LP: #1435951
  * tick/broadcast-hrtimer : Fix suspicious RCU usage in idle loop
    - LP: #1435951
  * tick/hotplug: Handover time related duties before cpu offline
    - LP: #1435951
  * Input: synaptics - split synaptics_resolution(), query first
    - LP: #1414930
  * Input: synaptics - log queried and quirked dimension values
    - LP: #1414930
  * Input: synaptics - query min dimensions for fw v8.1
    - LP: #1414930
  * Input: synaptics - remove obsolete min/max quirk for X240
    - LP: #1414930
  * Input: synaptics - support min/max board id in min_max_pnpid_table
    - LP: #1414930
  * Input: synaptics - skip quirks when post-2013 dimensions
    - LP: #1414930
  * Input: synaptics - fix middle button on Lenovo 2015 products
    - LP: #1414930
  * Input: synaptics - handle spurious release of trackstick buttons
    - LP: #1414930
  * Input: synaptics - do not retrieve the board id on old firmwares
    - LP: #1414930
  * Input: synaptics - retrieve the extended capabilities in query $10
    - LP: #1414930
  * Input: synaptics - remove TOPBUTTONPAD property for Lenovos 2015
    - LP: #1414930
  * Input: synaptics - re-route tracksticks buttons on the Lenovo 2015
    series
    - LP: #1414930
  * Input: synaptics - remove X1 Carbon 3rd gen from the topbuttonpad list
    - LP: #1414930
  * Input: synaptics - remove X250 from the topbuttonpad list
    - LP: #1414930
  * ARM: 8311/1: Don't use is_module_addr in setting page attributes
  * kernel/module.c: Update debug alignment after symtable generation
  * arm64: Don't use is_module_addr in setting page attributes
  * rebase to v3.19.3
 -- Leann Ogasawara <email address hidden> Tue, 31 Mar 2015 11:48:41 -0700

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers